Package org.eclipse.rdf4j.model.vocabulary

## Class SD

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SD

-     public class SD
      extends Object

  Namespace Sparql-service-description. Prefix: `<http://www.w3.org/ns/sparql-service-description#>`
  Author:
    Peter Ansell
  See Also:
    SPARQL 1.1 Service Description

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `AGGREGATE` | Aggregate
    `static IRI` | `AVAILBLE_GRAPHS` | available graph descriptions
    `static IRI` | `BASIC_FEDERATED_QUERY` | Basic Federated Query
    `static IRI` | `DATASET` | Dataset
    `static IRI` | `DEFAULT_DATASET` | default dataset description
    `static IRI` | `DEFAULT_ENTAILMENT_REGIME` | default entailment regime
    `static IRI` | `DEFAULT_GRAPH` | default graph
    `static IRI` | `DEFAULT_SUPPORTED_ENTAILMENT_PROFILE` | default supported entailment profile
    `static IRI` | `DEREFERENCES_URIS` | Dereferences URIs
    `static IRI` | `EMPTY_GRAPHS` | Empty Graphs
    `static IRI` | `ENDPOINT` | endpoint
    `static IRI` | `ENTAILMENT_PROFILE` | Entailment Profile
    `static IRI` | `ENTAILMENT_REGIME_CLASS` | Entailment Regime
    `static IRI` | `ENTAILMENT_REGIME_PROPERTY` | entailment regime
    `static IRI` | `EXTENSION_AGGREGATE` | extension aggregate
    `static IRI` | `EXTENSION_FUNCTION` | extension function
    `static IRI` | `FEATURE_CLASS` | Feature
    `static IRI` | `FEATURE_PROPERTY` | feature
    `static IRI` | `FUNCTION` | Function
    `static IRI` | `GRAPH_CLASS` | Graph
    `static IRI` | `GRAPH_COLLECTION` | Graph Collection
    `static IRI` | `GRAPH_PROPERTY` | graph
    `static IRI` | `INPUT_FORMAT` | input format
    `static IRI` | `LANGUAGE` | Language
    `static IRI` | `LANGUAGE_EXTENSION` | language extension
    `static IRI` | `NAME` | name
    `static IRI` | `NAMED_GRAPH_CLASS` | Named Graph
    `static IRI` | `NAMED_GRAPH_PROPERTY` | named graph
    `static String` | `NAMESPACE` | `http://www.w3.org/ns/sparql-service-description#`
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the SPARQL Service Description namespace.
    `static String` | `PREFIX` | `sd`
    `static IRI` | `PROPERTY_FEATURE` | property feature
    `static IRI` | `REQUIRES_DATASET` | Requires Dataset
    `static IRI` | `RESULT_FORMAT` | result format
    `static IRI` | `SERVICE` | Service
    `static IRI` | `SPARQL_10_QUERY` | SPARQL 1.0 Query
    `static IRI` | `SPARQL_11_QUERY` | SPARQL 1.1 Query
    `static IRI` | `SPARQL_11_UPDATE` | SPARQL 1.1 Update
    `static IRI` | `SUPPORTED_ENTAILMENT_PROFILE` | supported entailment profile
    `static IRI` | `SUPPORTED_LANGUAGE` | supported language
    `static IRI` | `UNION_DEFAULT_GRAPH` | Union Default Graph

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      `http://www.w3.org/ns/sparql-service-description#`
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      `sd`
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the SPARQL Service Description namespace.

    - #### AGGREGATE

          public static final IRI AGGREGATE

      Aggregate

      `http://www.w3.org/ns/sparql-service-description#Aggregate`.

      An instance of sd:Aggregate represents an aggregate that may be used in a SPARQL aggregate query (for instance in a HAVING clause or SELECT expression) besides the standard list of supported aggregates COUNT, SUM, MIN, MAX, AVG, GROUP_CONCAT, and SAMPLE.

      See Also:
        Aggregate

    - #### AVAILBLE_GRAPHS

          public static final IRI AVAILBLE_GRAPHS

      available graph descriptions

      `http://www.w3.org/ns/sparql-service-description#availableGraphs`.

      Relates an instance of sd:Service to a description of the graphs which are allowed in the construction of a dataset either via the SPARQL Protocol, with FROM/FROM NAMED clauses in a query, or with USING/USING NAMED in an update request, if the service limits the scope of dataset construction.

      See Also:
        availableGraphs

    - #### BASIC_FEDERATED_QUERY

          public static final IRI BASIC_FEDERATED_QUERY

      Basic Federated Query

      `http://www.w3.org/ns/sparql-service-description#BasicFederatedQuery`.

      sd:BasicFederatedQuery, when used as the object of the sd:feature property, indicates that the SPARQL service supports basic federated query using the SERVICE keyword as defined by SPARQL 1.1 Federation Extensions.

      See Also:
        BasicFederatedQuery

    - #### DATASET

          public static final IRI DATASET

      Dataset

      `http://www.w3.org/ns/sparql-service-description#Dataset`.

      An instance of sd:Dataset represents a RDF Dataset comprised of a default graph and zero or more named graphs.

      See Also:
        Dataset

    - #### DEFAULT_DATASET

          public static final IRI DEFAULT_DATASET

      default dataset description

      `http://www.w3.org/ns/sparql-service-description#defaultDataset`.

      Relates an instance of sd:Service to a description of the default dataset available when no explicit dataset is specified in the query, update request or via protocol parameters.

      See Also:
        defaultDataset

    - #### DEFAULT_ENTAILMENT_REGIME

          public static final IRI DEFAULT_ENTAILMENT_REGIME

      default entailment regime

      `http://www.w3.org/ns/sparql-service-description#defaultEntailmentRegime`.

      Relates an instance of sd:Service with a resource representing an entailment regime used for basic graph pattern matching. This property is intended for use when a single entailment regime by default applies to all graphs in the default dataset of the service. In situations where a different entailment regime applies to a specific graph in the dataset, the sd:entailmentRegime property should be used to indicate this fact in the description of that graph.

      See Also:
        defaultEntailmentRegime

    - #### DEFAULT_GRAPH

          public static final IRI DEFAULT_GRAPH

      default graph

      `http://www.w3.org/ns/sparql-service-description#defaultGraph`.

      Relates an instance of sd:Dataset to the description of its default graph.

      See Also:
        defaultGraph

    - #### DEFAULT_SUPPORTED_ENTAILMENT_PROFILE

          public static final IRI DEFAULT_SUPPORTED_ENTAILMENT_PROFILE

      default supported entailment profile

      `http://www.w3.org/ns/sparql-service-description#defaultSupportedEntailmentProfile`.

      Relates an instance of sd:Service with a resource representing a supported profile of the default entailment regime (as declared by sd:defaultEntailmentRegime).

      See Also:
        defaultSupportedEntailmentProfile

    - #### DEREFERENCES_URIS

          public static final IRI DEREFERENCES_URIS

      Dereferences URIs

      `http://www.w3.org/ns/sparql-service-description#DereferencesURIs`.

      sd:DereferencesURIs, when used as the object of the sd:feature property, indicates that a SPARQL service will dereference URIs used in FROM/FROM NAMED and USING/USING NAMED clauses and use the resulting RDF in the dataset during query evaluation.

      See Also:
        DereferencesURIs

    - #### EMPTY_GRAPHS

          public static final IRI EMPTY_GRAPHS

      Empty Graphs

      `http://www.w3.org/ns/sparql-service-description#EmptyGraphs`.

      sd:EmptyGraphs, when used as the object of the sd:feature property, indicates that the underlying graph store supports empty graphs. A graph store that supports empty graphs MUST NOT remove graphs that are left empty after triples are removed from them.

      See Also:
        EmptyGraphs

    - #### ENDPOINT

          public static final IRI ENDPOINT

      endpoint

      `http://www.w3.org/ns/sparql-service-description#endpoint`.

      The SPARQL endpoint of an sd:Service that implements the SPARQL Protocol service. The object of the sd:endpoint property is an IRI.

      See Also:
        endpoint

    - #### ENTAILMENT_PROFILE

          public static final IRI ENTAILMENT_PROFILE

      Entailment Profile

      `http://www.w3.org/ns/sparql-service-description#EntailmentProfile`.

      An instance of sd:EntailmentProfile represents a profile of an entailment regime. An entailment profile MAY impose restrictions on what constitutes valid RDF with respect to entailment.

      See Also:
        EntailmentProfile

    - #### ENTAILMENT_REGIME_CLASS

          public static final IRI ENTAILMENT_REGIME_CLASS

      Entailment Regime

      `http://www.w3.org/ns/sparql-service-description#EntailmentRegime`.

      An instance of sd:EntailmentRegime represents an entailment regime used in basic graph pattern matching (as described by SPARQL 1.1 Query Language).

      See Also:
        EntailmentRegime

    - #### ENTAILMENT_REGIME_PROPERTY

          public static final IRI ENTAILMENT_REGIME_PROPERTY

      entailment regime

      `http://www.w3.org/ns/sparql-service-description#entailmentRegime`.

      Relates a named graph description with a resource representing an entailment regime used for basic graph pattern matching over that graph.

      See Also:
        entailmentRegime

    - #### EXTENSION_AGGREGATE

          public static final IRI EXTENSION_AGGREGATE

      extension aggregate

      `http://www.w3.org/ns/sparql-service-description#extensionAggregate`.

      Relates an instance of sd:Service to an aggregate that may be used in a SPARQL aggregate query (for instance in a HAVING clause or SELECT expression) besides the standard list of supported aggregates COUNT, SUM, MIN, MAX, AVG, GROUP_CONCAT, and SAMPLE

      See Also:
        extensionAggregate

    - #### EXTENSION_FUNCTION

          public static final IRI EXTENSION_FUNCTION

      extension function

      `http://www.w3.org/ns/sparql-service-description#extensionFunction`.

      Relates an instance of sd:Service to a function that may be used in a SPARQL SELECT expression or a FILTER, HAVING, GROUP BY, ORDER BY, or BIND clause.

      See Also:
        extensionFunction

    - #### FEATURE_CLASS

          public static final IRI FEATURE_CLASS

      Feature

      `http://www.w3.org/ns/sparql-service-description#Feature`.

      An instance of sd:Feature represents a feature of a SPARQL service. Specific types of features include functions, aggregates, languages, and entailment regimes and profiles. This document defines five instances of sd:Feature: sd:DereferencesURIs, sd:UnionDefaultGraph, sd:RequiresDataset, sd:EmptyGraphs, and sd:BasicFederatedQuery.

      See Also:
        Feature

    - #### FEATURE_PROPERTY

          public static final IRI FEATURE_PROPERTY

      feature

      `http://www.w3.org/ns/sparql-service-description#feature`.

      Relates an instance of sd:Service with a resource representing a supported feature.

      See Also:
        feature

    - #### FUNCTION

          public static final IRI FUNCTION

      Function

      `http://www.w3.org/ns/sparql-service-description#Function`.

      An instance of sd:Function represents a function that may be used in a SPARQL SELECT expression or a FILTER, HAVING, GROUP BY, ORDER BY, or BIND clause.

      See Also:
        Function

    - #### GRAPH_PROPERTY

          public static final IRI GRAPH_PROPERTY

      graph

      `http://www.w3.org/ns/sparql-service-description#graph`.

      Relates a named graph to its graph description.

      See Also:
        graph

    - #### GRAPH_CLASS

          public static final IRI GRAPH_CLASS

      Graph

      `http://www.w3.org/ns/sparql-service-description#Graph`.

      An instance of sd:Graph represents the description of an RDF graph.

      See Also:
        Graph

    - #### GRAPH_COLLECTION

          public static final IRI GRAPH_COLLECTION

      Graph Collection

      `http://www.w3.org/ns/sparql-service-description#GraphCollection`.

      An instance of sd:GraphCollection represents a collection of zero or more named graph descriptions. Each named graph description belonging to an sd:GraphCollection MUST be linked with the sd:namedGraph predicate.

      See Also:
        GraphCollection

    - #### INPUT_FORMAT

          public static final IRI INPUT_FORMAT

      input format

      `http://www.w3.org/ns/sparql-service-description#inputFormat`.

      Relates an instance of sd:Service to a format that is supported for parsing RDF input; for example, via a SPARQL 1.1 Update LOAD statement, or when URIs are dereferenced in FROM/FROM NAMED/USING/USING NAMED clauses.

      See Also:
        inputFormat

    - #### LANGUAGE

          public static final IRI LANGUAGE

      Language

      `http://www.w3.org/ns/sparql-service-description#Language`.

      An instance of sd:Language represents one of the SPARQL languages, including specific configurations providing particular features or extensions. This document defines three instances of sd:Language: sd:SPARQL10Query, sd:SPARQL11Query, and sd:SPARQL11Update.

      See Also:
        Language

    - #### LANGUAGE_EXTENSION

          public static final IRI LANGUAGE_EXTENSION

      language extension

      `http://www.w3.org/ns/sparql-service-description#languageExtension`.

      Relates an instance of sd:Service to a resource representing an implemented extension to the SPARQL Query or Update language.

      See Also:
        languageExtension

    - #### NAME

          public static final IRI NAME

      name

      `http://www.w3.org/ns/sparql-service-description#name`.

      Relates a named graph to the name by which it may be referenced in a FROM/FROM NAMED clause. The object of the sd:name property is an IRI.

      See Also:
        name

    - #### NAMED_GRAPH_PROPERTY

          public static final IRI NAMED_GRAPH_PROPERTY

      named graph

      `http://www.w3.org/ns/sparql-service-description#namedGraph`.

      Relates an instance of sd:GraphCollection (or its subclass sd:Dataset) to the description of one of its named graphs. The description of such a named graph MUST include the sd:name property and MAY include the sd:graph property.

      See Also:
        namedGraph

    - #### NAMED_GRAPH_CLASS

          public static final IRI NAMED_GRAPH_CLASS

      Named Graph

      `http://www.w3.org/ns/sparql-service-description#NamedGraph`.

      An instance of sd:NamedGraph represents a named graph having a name (via sd:name) and an optional graph description (via sd:graph).

      See Also:
        NamedGraph

    - #### PROPERTY_FEATURE

          public static final IRI PROPERTY_FEATURE

      property feature

      `http://www.w3.org/ns/sparql-service-description#propertyFeature`.

      Relates an instance of sd:Service to a resource representing an implemented feature that extends the SPARQL Query or Update language and that is accessed by using the named property.

      See Also:
        propertyFeature

    - #### REQUIRES_DATASET

          public static final IRI REQUIRES_DATASET

      Requires Dataset

      `http://www.w3.org/ns/sparql-service-description#RequiresDataset`.

      sd:RequiresDataset, when used as the object of the sd:feature property, indicates that the SPARQL service requires an explicit dataset declaration (based on either FROM/FROM NAMED clauses in a query, USING/USING NAMED clauses in an update, or the appropriate SPARQL Protocol parameters).

      See Also:
        RequiresDataset

    - #### RESULT_FORMAT

          public static final IRI RESULT_FORMAT

      result format

      `http://www.w3.org/ns/sparql-service-description#resultFormat`.

      Relates an instance of sd:Service to a format that is supported for serializing query results.

      See Also:
        resultFormat

    - #### SERVICE

          public static final IRI SERVICE

      Service

      `http://www.w3.org/ns/sparql-service-description#Service`.

      An instance of sd:Service represents a SPARQL service made available via the SPARQL Protocol.

      See Also:
        Service

    - #### SPARQL_10_QUERY

          public static final IRI SPARQL_10_QUERY

      SPARQL 1.0 Query

      `http://www.w3.org/ns/sparql-service-description#SPARQL10Query`.

      sd:SPARQL10Query is an sd:Language representing the SPARQL 1.0 Query language.

      See Also:
        SPARQL10Query

    - #### SPARQL_11_QUERY

          public static final IRI SPARQL_11_QUERY

      SPARQL 1.1 Query

      `http://www.w3.org/ns/sparql-service-description#SPARQL11Query`.

      sd:SPARQL11Query is an sd:Language representing the SPARQL 1.1 Query language.

      See Also:
        SPARQL11Query

    - #### SPARQL_11_UPDATE

          public static final IRI SPARQL_11_UPDATE

      SPARQL 1.1 Update

      `http://www.w3.org/ns/sparql-service-description#SPARQL11Update`.

      sd:SPARQLUpdate is an sd:Language representing the SPARQL 1.1 Update language.

      See Also:
        SPARQL11Update

    - #### SUPPORTED_ENTAILMENT_PROFILE

          public static final IRI SUPPORTED_ENTAILMENT_PROFILE

      supported entailment profile

      `http://www.w3.org/ns/sparql-service-description#supportedEntailmentProfile`.

      Relates a named graph description with a resource representing a supported profile of the entailment regime (as declared by sd:entailmentRegime) used for basic graph pattern matching over that graph.

      See Also:
        supportedEntailmentProfile

    - #### SUPPORTED_LANGUAGE

          public static final IRI SUPPORTED_LANGUAGE

      supported language

      `http://www.w3.org/ns/sparql-service-description#supportedLanguage`.

      Relates an instance of sd:Service to a SPARQL language (e.g. Query and Update) that it implements.

      See Also:
        supportedLanguage

    - #### UNION_DEFAULT_GRAPH

          public static final IRI UNION_DEFAULT_GRAPH

      Union Default Graph

      `http://www.w3.org/ns/sparql-service-description#UnionDefaultGraph`.

      sd:UnionDefaultGraph, when used as the object of the sd:feature property, indicates that the default graph of the dataset used during query and update evaluation (when an explicit dataset is not specified) is comprised of the union of all the named graphs in that dataset.

      See Also:
        UnionDefaultGraph